function [obj, grad] = obj_fun_rbf_chol(sig,X,Y,method)
% Compute the model selection criterion and its derivatives with
% respect to sig which is a vector containing in log scale sigma
% -- Kernel = rbf sphere -- %
switch method
    case 'align'
        [obj,grad] = JdJ_rbf_chol_align(X,Y,sig);
    case 'frobe'
        [obj,grad] = JdJ_rbf_chol_frobe(X,Y,sig);
    case 'corr'
        [obj,grad] = JdJ_rbf_chol_corr(X,Y,sig);
end

