function [obj, grad] = obj_fun_rbf_ellipse(sig,X,Y,method)
% Compute the model selection criterion and its derivatives with
% respect to sig which is a vector containing in log scale sigma

% -- Compute the objective and the gradients -- %
switch method
    case 'align'
        [obj,grad] = JdJ_rbf_ellipse_align(X,Y,sig);
    case 'frobe'
        [obj,grad] = JdJ_rbf_ellipse_frobe(X,Y,sig);
    case 'corr'
        [obj,grad] = JdJ_rbf_ellipse_corr(X,Y,sig);
end
